This file summarizes the major and interesting changes for each release.
For a detailed list of changes, please see ChangeLog.

0.57 (2020-12-11)

 * Enhancements:

 * Bug fixes:
   - Fixed deprecated ElementTree API (LP: #1907304)
   - Fix some deprecation warnings in the test suite

0.56 (2020-01-28)

 * Enhancements:

 * Bug fixes:
   - Fix some warnings with a newer version of flake8 (LP: #1860613)

0.55 (2019-11-15)

 * Enhancements:
   - Passwords are now displayed in a monospaced font in the right pane.

 * Bug fixes:
   - PEP 8 cleanup

0.54 (2019-10-23)

 * Enhancements:
   - Clear the clipboard when locking or closing the window.
     Do not clear clipboard content from another program.
   - Make Double-click behaviour configurable.
   - Make displaying usernames in tree configurable.
   - Password field is now displayed in a monospaced font to prevent
     certain characters from looking the same.

 * Bug fixes:

0.53 (2019-09-22)

 * Enhancements:
   - Double click on tree item toggles folder expanded state or copies
     password.
   - On enter, toggles folder expanded state or opens password entry for
     edit.
   - Navigate tree with left & right key presses: toggling expanded state
     or going to parent / child.

 * Bug fixes:
   - Fixed bug in set_tree_expansion which could result in only partial
     expansion of the tree.
   - goto_uuid now also correctly displays folders.

0.52 (2019-09-19)

 * Enhancements:
   - Show copy menu items first in the tree item context menu
   - Display username in the tree view item title

 * Bug fixes:
   - Fix copy truncates password containing pound sign (LP: #1819141)

0.51 (2017-12-20)

 * Enhancements:
   - Switch folder icon to symbolic icon
   - Updated translations

 * Bug fixes:

0.50 (2017-12-19)

 * Enhancements:
   - Set window title based on current loaded file. Thanks to Tristan Hill.
   - Switch to symbolic icons
   - Updated translations

 * Bug fixes:
   - Make password window non-resizable
   - Escape text e.g. in case of & in entry name. Thanks to Tristan Hill.
   - Fix issue where Pasaffe would think a save was required when no fields
     were changed in an entry.
   - Fix some untranslated strings. (LP: #1691668)
   - Updated deprecated Gtk widgets.
   - Properly support popup menus on Wayland.

0.49 (2017-05-17)

 * Enhancements:
   - Updated translations
   - Add support for opening psafe3 files from the file manager. Thanks to
     Tristan Hill.

 * Bug fixes:
   - Raised password iteration limit from 50k to 100k. Thanks to
     Joshua C. Randall. (LP: #1689784)

0.48 (2017-03-13)

 * Enhancements:

 * Bug fixes:
   - Fixed compatibility with GTK+ 3.20. Thanks to Mathieu Trudel-Lapierre
     for reporting the issue and for the initial patch.

0.47 (2016-06-16)

 * Enhancements:
   - Updated translations

 * Bug fixes:
   - Error when opening database containing missing entry titles
     (LP: #1586335)
   - Properly handle blank entry and folder titles
   - Don't crash if yelp is not installed

0.46 (2016-03-13)

 * Enhancements:

 * Bug fixes:
   - Searches are now accent-insensitive (LP: #1488333)
   - PEP 8 cleanup

0.45 (2016-02-17)

 * Enhancements:
   - Added new pasaffe-cli command-line interface, thanks to C de-Avillez.

 * Bug fixes:
   - Specify Gtk version to prevent warning
   - Stop using deprecated find icon

0.44 (2015-07-30)

 * Enhancements:

 * Bug fixes:
   - PEP 8 cleanup
   - No longer hardcode icon location (LP: #1459823)

0.43 (2015-03-08)

 * Enhancements:
   - Updated translations

 * Bug fixes:
   - Make sure left pane is focused on startup

0.42 (2015-02-05)

 * Enhancements:
   - Updated translations
   - Slightly improve preferences dialog layout

 * Bug fixes:
   - Fix more GTK deprecations

0.41 (2014-11-03)

 * Enhancements:
   - Updated translations

 * Bug fixes:
   - Fixed a regression in 0.40 that added extra lines in notes at
     each save

0.40 (2014-11-02)

 * Enhancements:
   - Updated translations
   - Store notes field with CRLF in the database for interopability
     reasons
   - Add a raw dump option to pasaffe-dump-db

 * Bug fixes:
   - Properly handle databases that don't contain username or password
     fields (LP: #1384710)
   - Make sure all dialogs have transient parents (LP: #1386064)
   - Stop using deprecated Gtk stock items (LP: #1386064)
   - Disable menu and toolbar entries for missing fields

0.39 (2014-07-31)

 * Enhancements:
   - Improve random password generation
   - Improve layout of database information window
   - Display database file location in information window
   - Corrected title in new entry and new folder windows (LP: #1314950)
   - Edit button in toolbar now also edits folders (LP: #1350294)

 * Bug fixes:
   - Fixed [icon] text in help file, and license text. (LP: #1314956)

0.38 (2014-04-04)

 * Enhancements:
   - Updated translations

 * Bug fixes:
   - Added some missing translations (LP: #1300012)

0.37 (2014-02-15)

 * Enhancements:
   - Import scripts now handle folders
   - Updated translations

 * Bug fixes:
   - Fixed KeePass2 import script and added tests

0.36 (2014-02-12)

 * Enhancements:
   - Improved right pane layout
   - Updated translations

 * Bug fixes:

0.35 (2014-02-09)

 * Enhancements:
   - Migrated to Python 3
   - Added translator credits to about dialog (LP: #1273673)
   - Updated translations

 * Bug fixes:

0.34 (2014-01-18)

 * Enhancements:
   - Updated translations

 * Bug fixes:
   - Fix new PyGI deprecations

0.33 (2013-10-02)

 * Enhancements:
   - Updated translations

 * Bug fixes:
   - Don't crash when search string ends with a backslash (LP: #1231744)

0.32 (2013-09-26)

 * Enhancements:

 * Bug fixes:
   - Allow search to work on entries in collapsed folders

0.31 (2013-09-26)

 * Enhancements:

 * Bug fixes:
   - Don't crash when attempting to add an entry with nothing selected

0.30 (2013-09-08)

 * Enhancements:
   - Updated translations

 * Bug fixes:
   - Fix help file location when using python-distutils-extra >= 2.38

0.29 (2013-09-04)

 * Enhancements:
   - Implemented folder expansion saving to database
   - Implemented folder expansion preferences
   - Folder window size is now saved
   - Updated translations

 * Bug fixes:
   - Set icon column sizing to automatic so tree doesn't move around

0.28 (2013-08-15)

 * Enhancements:

 * Bug fixes:
   - Fix some translation mistakes in the fr help file (LP: #1210552)
   - Fix crash when changing the show secrets setting
   - Mark some more menu entries as translatable
   - Perform case-insensitive sort on entries and folders

0.27 (2013-08-12)

 * Enhancements:
   - Implemented drag and drop of folders and entries
   - Fix broken menu entries when gtk is configured to show icons in menus
   - Deactivate certain menu items when a folder is selected

 * Bug fixes:

0.26 (2013-08-11)

 * Enhancements:

 * Bug fixes:
   - Folder text entry now activates OK button (thanks jdstrand!)
   - Tree now sorts folders before directories (thanks jdstrand!)
   - Fixed typeahead find (thanks hallyn!)

0.25 (2013-08-09)

 * Enhancements:
   - Added tree support (Thanks to Jabik Postmus!)
   - Improved test suite
   - Updated translations

 * Bug fixes:
   - Fixed some untranslated strings (LP: #1202980)

0.24 (2013-03-06)

 * Enhancements:
   - Updated translations

 * Bug fixes:
   - Fix pylint warnings and test suite
   - Removed deprecated GObject usage

0.23 (2013-02-12)

 * Enhancements:

 * Bug fixes:
   - Fixed adding new entries

0.22 (2013-02-09)

 * Enhancements:
   - Updated translations

 * Bug fixes:
   - Command line tools can now be run without a GUI

0.21 (2012-08-21)

 * Enhancements:
   - Pasaffe now remembers window sizes

 * Bug fixes:

0.20 (2012-08-14):

 * Enhancements:
   - Made password length configurable (Thanks to Mathieu Trudel-Lapierre!)
   - Automatically clears clipboard after 20 seconds

 * Bug fixes:
   - Moved gsettings schema from apps.pasaffe to net.launchpad.pasaffe

0.19 (2012-05-17):

 * Enhancements:

 * Bug fixes:
   - Fix do-release script to remove backup files before creating release
     tarball.

0.18 (2012-05-17):

 * Enhancements:
   - Can now import KeePass2 XML files
     (Thanks to Mathieu Trudel-Lapierre!)
   - Disable Launchpad integration (no longer supported)

 * Bug fixes:

0.17 (2012-05-03):

 * Enhancements:
   - Add command-line option to specify default database

 * Bug fixes:
   - Don't save database specified on command line as default
   - Properly handle entries that have no URL specified (LP: #980608)
   - Fix logging in pasaffe-import scripts so we can debug failures
     (LP: #991143)
   - Correctly strip gpass database padding (LP: #991204)
   - Properly handle unicode characters with optparse (LP: #983210)

0.16 (2012-03-24):

 * Enhancements:
   - Updated translations

 * Bug fixes:
   - Fix right click context menu (LP: #945861)
   - Deactivate "Display secrets" button when not needed

0.15 (2012-03-22):

 * Enhancements:
   - Updated translations
   - Added KeePassX XML import script
   - Import scripts now warn about skipped fields

 * Bug fixes:
   - Give proper error when not specifying file to Figaro import script
   - Various cleanups
   - Properly handle utf-8 characters when importing Figaro xml file

0.14 (2012-02-29):

 * Enhancements:
   - Updated translations
   - Slightly improved appearance of main icon
   - Implemented search

 * Bug fixes:
   - Set proper window titles

0.13 (2012-02-14):

 * Enhancements:
   - Added random password generation
   - Lock now uses the main window to prevent a window from showing up
     on another workspace when the timeout occurs

 * Bug fixes:

0.12 (2012-02-04):

 * Enhancements:
   - Updated translations
   - Added a TODO item
   - Migrated to PyGObject and GSettings, thanks to Francesco Marella

 * Bug fixes (related to PyGObject and GSettings migration):
   - Get rid of traceback when quitting without a selection
   - Restore click on URL functionality
   - Fix initial size of notes field
   - Fix about dialog layout
   - Updated requirements in README file
   - Refactor and simplify GSettings code to use bindings
   - Add database path description to GSettings schema file
   - Add GConf to GSettings migration file
   - Fix crasher when sometimes adding a new entry

0.11 (2011-12-11):

 * Enhancements:
   - A help file is now available with basic usage instructions.
   - Re-enable launchpad integration
   - Added a README file

 * Bug fixes:
   - Removed debian packaging files from upstream project

0.10 (2011-10-02):

 * Enhancements:
   - Numerous improvements, thanks to Francesco Marella:
     - Figaro xml import script
     - Added option to automatically save changes
     - Added context menu to left pane
     - Added Clone command to clone an entry 

 * Bug fixes:
   - Save menu option and toolbar icon are now inactive when there is
     nothing to save.
   - Don't indicate save is required when a new entry is cancelled

0.9 (2011-09-15):

 * Enhancements:

 * Bug fixes:
   - Don't crash if a new entry is added and no entry is currently selected
     when attempting to update the right pane.

0.8 (2011-08-28):

 * Enhancements:
   - add pasaffe-dump-db to dump contents of DB to stdout in a human readable
     format

 * Bug fixes:
   - Only update right pane after editing an entry if it's still the one
     that is currently selected
   - Properly install Mallard help files in Lucid and Maverick

0.7 (2011-08-25):

 * Enhancements:
   - Added a simple script to import an entry from the command line

 * Bug fixes:
   - Correctly set default preferences
   - Prevent the edit entry dialog from opening twice and being confused

0.6 (2011-08-23):

 * Enhancements:
   - Added some maintainer scripts
   - Added po directory and translation file
   - Added french translation

 * Bug fixes:
   - Fixed missing tooltip on Open URL button
   - Fixed missing string translations
   - Fixed compatibility with newer glade

0.5 (20110822):

 * Enhancements:
   - Option to treat either all data or just passwords as secrets
   - Rename options and button labels
   - Added toolbar button and keyboard shortcut to open URL

 * Bug fixes:
   - None

0.4 (20110821):

 * Enhancements:
   - Now has a NEWS file that lists changes
   - Entry list is now uses a case-insensitive sort
   - A confirmation dialog has been added when deleting an entry
   - Now compatible with Ubuntu 10.04

 * Bug fixes:
   - Disabled Launchpad integration since this isn't packaged in Ubuntu.
   - Removed some warnings when using time.time()

0.3 (20110820):

 * Enhancements:
   - Notes can now be configured to be secret, and they will be hidden when
     the passwords are hidden.
   - Window title will now indicate if the database has been modified and
     needs to be saved.
   - The "Display Password" toolbar button and menu item can now be toggled
     on and off for an entry.

 * Bug fixes:
   - Ship a proper GConf schema
   - Fix list being improperly created as a dict in the clipboard code

0.2 (20110817):

 * Enhancements:
   - About window now shows version number
   - Copy will also go to PRIMARY clipboard
   - Improved some wording in dialogs and desktop file
   - etc.

 * Bug fixes:
   - Fix problem starting properly from launchers

0.1 (20110723):

 * Initial release
